<?php
/**
 * Plugin Name: SendPulse for WooCommerce
 * Plugin URI: https://sendpulse.com/integrations/ecommerce/woocommerce
 * Description: SendPulse plugin for WooCommerce.
 * Author: SendPulse
 * Author URI: https://sendpulse.com
 * Version: 1.1.3
 * Text Domain: sendpulse-for-woocommerce
 * Domain Path: languages
 *
 * Copyright: � 2016 SendPulse
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 *
 */

function woocommerce_sendpulse_init() {
	if (!class_exists('WC_Integration')) {
		return;
	}
	
	load_plugin_textdomain('sendpulse-for-woocommerce', false, dirname(plugin_basename(__FILE__)) . '/languages');

	global $woocommerce;

	$settings_url = admin_url('admin.php?page=woocommerce_settings&tab=integration&section=sendpulse');

	if ($woocommerce->version >= '2.1') {
		$settings_url = admin_url('admin.php?page=wc-settings&tab=integration&section=sendpulse');
	}

	if (!defined('WOOCOMMERCE_SENDPULSE_SETTINGS_URL')) {
		define('WOOCOMMERCE_SENDPULSE_SETTINGS_URL', $settings_url);
	}

	include_once('classes/class-wc-integration-sendpulse.php');

	function add_sendpulse_integration($methods) {
		$methods['sendpulse'] = 'WC_Integration_Sendpulse';
		return $methods;
	}

	add_filter('woocommerce_integrations', 'add_sendpulse_integration');

	function spset_links($links) {
		$plugin_links = array(
			'<a href="' . WOOCOMMERCE_SENDPULSE_SETTINGS_URL . '">' . __('Settings', 'sendpulse-for-woocommerce') . '</a>',
		);

		return array_merge($plugin_links, $links);
	}

	add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'spset_links');

	// Function to clear transient and fetch new data
	//function clear_and_fetch_address_books() {
		//delete_transient('sendpulse_address_books');

		//$instance = new WC_Integration_Sendpulse();
		//$instance->getAddresBooksSelect();

		// Add a success message
		//add_action('admin_notices', function() {
		//	echo '<div class="updated"><p>Address books cache cleared and new data fetched.</p></div>';
		//});
	//}

	// Add a submenu page under WooCommerce menu
	//function add_clear_cache_admin_menu() {
	//	add_submenu_page(
	//		'woocommerce', // Parent slug
	//		__('Clear SendPulse Cache', 'sendpulse-for-woocommerce'), // Page title
	//		__('Clear SendPulse Cache', 'sendpulse-for-woocommerce'), // Menu title
	//		'manage_options', // Capability
	//		'clear-sendpulse-cache', // Menu slug
	//		'clear_cache_page_content' // Function to display the page content
	//	);
	//}

	//add_action('admin_menu', 'add_clear_cache_admin_menu');

	// Display the admin page content
	/*function clear_cache_page_content() {
		?>
		<div class="wrap">
			<h1><?php _e('Clear SendPulse Cache', 'sendpulse-for-woocommerce'); ?></h1>
			<form method="post" action="">
				<?php wp_nonce_field('clear_sendpulse_cache_action', 'clear_sendpulse_cache_nonce'); ?>
				<p><input type="submit" name="clear_sendpulse_cache" class="button button-primary" value="<?php _e('Clear Cache and Fetch New Data', 'sendpulse-for-woocommerce'); ?>"></p>
			</form>
		</div>
		<?php
	}

	// Handle the button click action
	function handle_clear_cache_action() {
		if (isset($_POST['clear_sendpulse_cache']) && check_admin_referer('clear_sendpulse_cache_action', 'clear_sendpulse_cache_nonce')) {
			clear_and_fetch_address_books();
		}
	}

	add_action('admin_init', 'handle_clear_cache_action');*/

}

add_action('plugins_loaded', 'woocommerce_sendpulse_init', 0);